Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Fixed #6740 -- Documented in docs/flatpage.txt that the flatpages app…

… requires the sites framework. Thanks, mail@dirkmeister.de

git-svn-id: http://code.djangoproject.com/svn/django/trunk@7208 bcc190cf-cafb-0310-a4f2-bffc1f526a37
  • Loading branch information...
commit 1f0de0312e0899aa1d45ad3d95c1d477b070cec7 1 parent 4487be6
Adrian Holovaty authored March 09, 2008

Showing 1 changed file with 3 additions and 0 deletions. Show diff stats Hide diff stats

  1. 3  docs/flatpages.txt
3  docs/flatpages.txt
@@ -24,11 +24,14 @@ Installation
24 24
 
25 25
 To install the flatpages app, follow these steps:
26 26
 
  27
+    1. Install the `sites framework`_ by adding ``'django.contrib.sites'`` to
  28
+       your INSTALLED_APPS_ setting, if it's not already in there.
27 29
     1. Add ``'django.contrib.flatpages'`` to your INSTALLED_APPS_ setting.
28 30
     2. Add ``'django.contrib.flatpages.middleware.FlatpageFallbackMiddleware'``
29 31
        to your MIDDLEWARE_CLASSES_ setting.
30 32
     3. Run the command ``manage.py syncdb``.
31 33
 
  34
+.. _sites framework: ../sites/
32 35
 .. _INSTALLED_APPS: ../settings/#installed-apps
33 36
 .. _MIDDLEWARE_CLASSES: ../settings/#middleware-classes
34 37
 

0 notes on commit 1f0de03

Please sign in to comment.
Something went wrong with that request. Please try again.